# Generated from sanzang-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sanzang

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Machine translation from CJK languages
License: GPL-3
URL: http://www.lapislazulitexts.com/sanzang/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.0
BuildArch: noarch

%description
Sanzang is a compact and simple cross-platform machine translation system. It
was designed especially for translating from the CJK languages (Chinese,
Japanese, and Korean), and it is suitable even for translating from ancient
texts. Sanzang is implemented as a Unix style command suite program, with each
subcommand carrying out a major function of the system.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/sanzang
%license %{gem_instdir}/LICENSE.rdoc
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/HACKING.rdoc
%doc %{gem_instdir}/MANUAL.rdoc
%doc %{gem_instdir}/NEWS.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 1.2.0-1
- Initial package
